Summary:	WindowsWM extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia WindowsWM
Name:		xorg-proto-windowswmproto
Version:	1.0.4
Release:	2
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/windowswmproto-%{version}.tar.bz2
# Source0-md5:	e74b2ff3172a6117f2a62b655ef99064
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WindowsWM extension headers provide the definition of the WindowsWM
extension to the X11 protocol, used for coordination between an X11
server and the Microsoft Windows native window manager.

%description -l pl.UTF-8
Nagłówki rozszerzenia WindowsWM udostępniają definicję rozszerzenia
WindowsWM do protokołu X11, służącego do współpracy między serwerem
X11 a natywnym zarządcą okien Microsoft Windows.

%package devel
Summary:	WindowsWM extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia WindowsWM
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel

%description devel
WindowsWM extension headers provide the definition of the WindowsWM
extension to the X11 protocol, used for coordination between an X11
server and the Microsoft Windows native window manager.

%description devel -l pl.UTF-8
Nagłówki rozszerzenia WindowsWM udostępniają definicję rozszerzenia
WindowsWM do protokołu X11, służącego do współpracy między serwerem
X11 a natywnym zarządcą okien Microsoft Windows.

%prep
%setup -q -n windowswmproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_includedir}/X11/extensions/windowswm*.h
%{_pkgconfigdir}/windowswmproto.pc
%changelog
* Sat May 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-proto-windowswmproto.git;a=log;h=master

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 4dbc57a
- x32 rebuild
- release 2 (by relup.sh)

* Sat Oct 03 2009 Jakub Bogusz <qboosh@pld-linux.org> 60f734b
- util-macros version
- added README to doc, enhanced descs

* Sat Oct 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b6f7ed8
- up to 1.0.4

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 42d5925
- individual url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 42dedbb
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a5f90fb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7b3f4f1
- converted to UTF-8

* Fri Feb 03 2006 Paweł Sikora <pluto@pld-linux.org> 1e34e40
- release 1.

* Fri Dec 23 2005 Jakub Bogusz <qboosh@pld-linux.org> beb6022
- 1.0.3 (X11R7.0 release)

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> f089988
- 1.0.2 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> cf0c3cd
- cosmetic

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 03c5a54
- new

